> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all shipments

> List all shipments



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /shipping/shipments
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /shipping/shipments:
    get:
      tags:
        - Shipping
      summary: List all shipments
      description: List all shipments
      operationId: list-shipments
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/columnBasedFilters'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/searchKeyword'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      shipments:
                        type: array
                        items:
                          $ref: '#/components/schemas/ShipmentList'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
  schemas:
    ShipmentList:
      title: ShipmentList
      allOf:
        - type: object
          properties:
            order_number:
              type: string
            sales_channel:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                type:
                  type: string
        - $ref: '#/components/schemas/ShipmentInfo'
      x-tags:
        - Shipping
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    ShipmentInfo:
      title: ShipmentInfo
      type: object
      required:
        - order_number
        - order_status
        - shipment_number
        - warehouse_id
        - warehouse_name
        - status
        - total_weight
        - total_boxes
        - shipment_items_count
        - shipping_estimated_cost
        - shipping_discount_amount
        - shipping_amount
        - shipping_tax_rate
        - shipping_tax_amount
        - shipping_amount_including_tax
        - shipping_provider_id
        - shipping_provider_name
        - courier_company_id
        - courier_company_name
        - courier_company_image_url
        - awb_no
        - shipping_label_url
        - eta_delivery
        - estimated_delivery_date
        - promised_delivery_date
        - shipped_date
        - delivered_date
        - returned_date
        - fulfillment_type
        - slo
        - cancellation_reason
        - customer_id
        - customer_name
        - shipping_address_line1
        - shipping_address_line2
        - shipping_landmark
        - shipping_pincode
        - shipping_city
        - shipping_state
        - created_at
        - modified_at
      properties:
        order_number:
          type: string
        order_status:
          type: string
        shipment_number:
          type: string
        warehouse_id:
          type: string
        warehouse_name:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        total_weight:
          type: number
        total_boxes:
          type:
            - integer
            - 'null'
        shipment_items_count:
          type: integer
        shipping_estimated_cost:
          type: number
          format: double
        shipping_discount_amount:
          type: number
          format: double
        shipping_amount:
          type: number
          format: double
        shipping_tax_rate:
          type: number
          format: double
        shipping_tax_amount:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        shipping_provider_id:
          type:
            - string
            - 'null'
        shipping_provider_name:
          type:
            - string
            - 'null'
        courier_company_id:
          type:
            - string
            - 'null'
        courier_company_name:
          type:
            - string
            - 'null'
        courier_company_image_url:
          type:
            - string
            - 'null'
        awb_no:
          type:
            - string
            - 'null'
        shipping_label_url:
          type:
            - string
            - 'null'
        eta_delivery:
          type:
            - string
            - 'null'
        estimated_delivery_date:
          type:
            - string
            - 'null'
        promised_delivery_date:
          type:
            - string
            - 'null'
        out_for_delivery_date:
          type:
            - string
            - 'null'
        shipped_date:
          type:
            - string
            - 'null'
        delivered_date:
          type:
            - string
            - 'null'
        returned_date:
          type:
            - string
            - 'null'
        fulfillment_type:
          enum:
            - delivery
            - collect-in-store
        slo:
          type: object
          properties:
            expected_date:
              type: string
              format: datetime
            actual_date:
              type: string
              format: datetime
            difference:
              type: number
            slo_status:
              enum:
                - on-time
                - delay
                - early
        cancellation_reason:
          type:
            - string
            - 'null'
        customer_id:
          type: string
        customer_name:
          type: string
        shipping_address_line1:
          type: string
        shipping_address_line2:
          type:
            - string
            - 'null'
        shipping_landmark:
          type:
            - string
            - 'null'
        shipping_pincode:
          type: string
        shipping_city:
          type: string
        shipping_state:
          type: string
        created_at:
          type: string
        modified_at:
          type: string
      x-tags:
        - Shipping
    ShipmentStatus:
      enum:
        - unscheduled
        - schedule_requested
        - scheduled
        - packed
        - created
        - shipped
        - in_transit
        - out_for_delivery
        - delivery_attempted
        - undelivered
        - return_to_origin
        - delivered
        - cancelled
        - lost
        - sent_to_store
        - processing
        - ready_to_collect
        - store_rejected
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````